Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class ASTConstructorDeclaration

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.SimpleJavaAccessNode
                  net.sourceforge.pmd.ast.AccessNode
                      net.sourceforge.pmd.ast.ASTConstructorDeclaration

All Implemented Interfaces:
  AccessNodeInterface, JavaNode, Node

    public class ASTConstructorDeclaration

extends AccessNode

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Fields inherited from interface net.sourceforge.pmd.ast.AccessNodeInterface
`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

Constructor Summary
`ASTConstructorDeclaration(int id)`
`ASTConstructorDeclaration(JavaParser p, int id)`

Method Summary
`boolean` | `containsComment()`
`void` | `dump(java.lang.String prefix)`
`int` | `getParameterCount()`
`ASTFormalParameters` | `getParameters()`
`java.lang.Object` | `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` | `setContainsComment()`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaAccessNode
`collectDumpedModifiers, getModifiers, isAbstract, isFinal, isNative, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isStrictfp, isSynchronized, isTransient, isVolatile, setAbstract, setAbstract, setFinal, setFinal, setModifiers, setNative, setNative, setPrivate, setPrivate, setProtected, setProtected, setPublic, setPublic, setStatic, setStatic, setStrictfp, setStrictfp, setSynchronized, setSynchronized, setTransient, setTransient, setVolatile, setVolatile`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getLabel, getNthParent, getParentsOfType, getScope, hasImageEqualTo, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setScope, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTConstructorDeclaration

    public ASTConstructorDeclaration(int id)

### ASTConstructorDeclaration

    public ASTConstructorDeclaration(JavaParser p,
                                     int id)

Method Detail

### getParameters

    public ASTFormalParameters getParameters()

### getParameterCount

    public int getParameterCount()

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`
  Overrides:
    `jjtAccept` in class `SimpleJavaNode`

### containsComment

    public boolean containsComment()

### setContainsComment

    public void setContainsComment()

### dump

    public void dump(java.lang.String prefix)

  Overrides:
    `dump` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.